DataTracker (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.conf

## Class DataTracker

- java.lang.Object
- - org.apache.cassandra.index.sasi.conf.DataTracker

-     public class DataTracker
      extends java.lang.Object

  a pared-down version of DataTracker and DT.View. need one for each index of each column family

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTracker(AbstractType<?> keyValidator, ColumnIndex index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dropData(java.util.Collection<SSTableReader> sstablesToRebuild)`
    `void` | `dropData(long truncateUntil)`
    `View` | `getView()`
    `boolean` | `hasSSTable(SSTableReader sstable)`
    `java.lang.Iterable<SSTableReader>` | `update(java.util.Collection<SSTableReader> oldSSTables, java.util.Collection<SSTableReader> newSSTables)` Replaces old SSTables with new by creating new immutable tracker.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTracker

          public DataTracker(AbstractType<?> keyValidator,
                             ColumnIndex index)

  - ### Method Detail

    - #### getView

          public View getView()

    - #### update

          public java.lang.Iterable<SSTableReader> update(java.util.Collection<SSTableReader> oldSSTables,
                                                          java.util.Collection<SSTableReader> newSSTables)

      Replaces old SSTables with new by creating new immutable tracker.
      Parameters:
        `oldSSTables` - A set of SSTables to remove.
        `newSSTables` - A set of SSTables to add to tracker.
      Returns:
        A collection of SSTables which don't have component attached for current index.

    - #### hasSSTable

          public boolean hasSSTable(SSTableReader sstable)

    - #### dropData

          public void dropData(java.util.Collection<SSTableReader> sstablesToRebuild)

    - #### dropData

          public void dropData(long truncateUntil)

Copyright © 2018 The Apache Software Foundation